API

Confirm subscription checkout

Confirms a successful hosted checkout by acknowledging the hosted page, activating the subscription, and syncing entitlements

POST/v1/hq/companies/{company_id}/subscriptions/checkout_success

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Company id

Request Body

application/json

hosted_page_id*string

The Chargebee hosted page ID returned after a successful checkout

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/companies/string/subscriptions/checkout_success" \  -H "Content-Type: application/json" \  -d '{    "hosted_page_id": "string"  }'
{
  "scheduled": true,
  "scheduled_plan_id": "string"
}
Empty
Empty
Empty
Empty